import '../../flutter_map.dart';

abstract class MapFunInterface {
  //移动地图
  void moveCamera(CameraPosition cameraPosition);

  //动态移动地图
  void animateCamera(CameraPosition cameraPosition);

  //清除地图所有标记
  void clear();

  //移动至多个点的位置，并提供设置padding距离
  moveToSuitableLocation(List<LatLng> points, {MapPadding? mapPadding});

  //禁用或启用地图交互
  void setMapInteractionEnabled(bool enabled);

  //显示或隐藏地图logo
  void setMapLogoVisible(bool visible);
}
